CadXP: ou est l'objet?? - CadXP

Aller au contenu

Page 1 sur 1

ou est l'objet??

#1 L'utilisateur est hors-ligne   philsogood 

  • ceinture noire 5em dan
  • Groupe : Membres
  • Messages : 2 502
  • Inscrit(e) : 03-mars 10

Posté 30 janvier 2020 - 10:09

hello
dans le fichier ci-joint j'ai 4 objets (CTL+A)
à l'écran je n'en vois que 3!
où se trouve le quatrième?? >>> comment l'effacer??
Phil
Projeteur Revit - traitement des eaux
0

#2 L'utilisateur est hors-ligne   cath287 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 46
  • Inscrit(e) : 18-février 16

Posté 30 janvier 2020 - 10:31

Salut,
c'est étrange cette affaire... quand on a les 4 avec ctrl A et qu'on supprime les objets 1 à 1 de notre sélection, peu importe dans quel ordre, jusqu'au dernier objet il y en a 1 supplémentaire.

Bref, pour supprimer cet objet j'ai copié avec point de base les 3 objets, puis supprimé tout (ctrl A) et enfin coller les 3 objets avec point de base.
0

#3 L'utilisateur est hors-ligne   Eric 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3 316
  • Inscrit(e) : 16-décembre 02
  • LocationLamballe (22)

Posté 30 janvier 2020 - 10:40

L'objet invisible est un cartouche.

Je pense qu'il a dû être masqué par un lisp ou une application.

Il y a un lisp nommé mi.lsp qui permet de réafficher les objets invisibles.

https://knowledge.au...in-drawing.html

Le document a été traduit, les commandes lisp sont hideall pour tout cacher et showall pour tout afficher.

Donc ici, c'est plus showall



0

#4 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8 804
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 30 janvier 2020 - 10:53

Hello

Sans reflechir ni telecharger le DWG, as tu essaye un Lisp du Grand Maitre Gilles !?

LA SANTE, Bye, lecrabe "triste"

PS: Automne 2020, la retraite ...

;; Par GC - Rendre TOUS les objets / entites visibles
;; Flag d Invisibilite d AutoCAD = 60
;; Chargement par          :   APPLOAD
;; Commande au clavier  :   ALLVISI

(vl-load-com)

(defun c:ALLVISI ()

(vlax-for blk (vla-get-Blocks
	      (vla-get-ActiveDocument
		(vlax-get-acad-object)
	      )
	    )
  (vlax-for obj blk
    (if	(vlax-property-available-p obj 'Visible)
      (vla-put-Visible obj :vlax-true)
    )
  )
)

)

Autodesk Expert Elite Team
0

#5 L'utilisateur est hors-ligne   philsogood 

  • ceinture noire 5em dan
  • Groupe : Membres
  • Messages : 2 502
  • Inscrit(e) : 03-mars 10

Posté 30 janvier 2020 - 11:39

merci Eric et lecrabe pour votre aide...
je vais enfin pouvoir virer ce calque de mon gabarit!! ;)
Phil
Projeteur Revit - traitement des eaux
0

#6 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 951
  • Inscrit(e) : 04-novembre 05

Posté 30 janvier 2020 - 15:43

Voir le messagelecrabe, le 30 janvier 2020 - 10:53 , dit :


;; Par GC - Rendre TOUS les objets / entites visibles

Salut Vieux Crabe,
avec la retraite Macron, tu sera encore là en ... 2024 !

En tout cas, ce lisp ne rend pas TOUT Visible !
J'ai tellement eu de problème avec ça que je vous donnes la liste des pièges:
- les 3dface ont une visibilité par arrête : c'est le problème qui m'a rendu le plus dingue, a l'époque où je n'avais pas la palette propriété qui dit ce qui est grippé avec un ctrl + a ! (avant la 2000 ...)
- les attributs ont un code 70, et 2 définitions de blocs avec attributs peuvent cohabiter
- Aujourd'hui autocad empèche de créer des textes vide, mais tjrs possible par lisp,
surtout espace = non vide pour Autocad !
je crois que même ma routine n'est pas complète, car elle ne traite pas les délimitation de bloc ...

a+
gégé


Le code ci dessous est tellement vieux qu'il n'est pas "diffusable", il faut PowerClic
; ****************************************************************************
;;§/dxf/rends toutes les entitész visibles/none
;;avec le code 60 et le code 70 pour les attributs
;;traite les blocs, les attributs, les blocs vides, et fait un zoom étendu
;;attentio : peut être long ...
(defun c:ent_visible ( / lbloc lface sel zextent)
  (setvar "QTEXTMODE" 1)
  (big_clean '(60 . 1)'(60 . 0))
  (bclean '(60 . 1)'(60 . 0))
  (setq lbloc (pw_listsel (ssget "x" '((0 . "INSERT")))))
  (pw_at_visible lbloc)
  (setq lface (pw_listsel (ssget "x" '((0 . "3DFACE")))))
  (pw_3dface_visible lface)
  
  ;;partie zoom
  (pw_list_empty_blocks)
  (if (not (member "" pw-att-only-blocks))
    (progn
    (prompt "\nLes blocs suivants n'ont que des attributs :\n")
    (print pw-att-only-blocks)
    )
    )
   (if (not (member "" pw-empty-blocks))
    (progn
    (prompt "\nLes blocs suivants sont vides :\n")
    (print pw-empty-blocks)
    )
    )
  
  (setq sel (ssget "x"))
  (setq zextent (pw_englobe_sel sel))
  (command "_zoom" "_w" (car zextent) (cadr zextent))
  (sssetfirst sel sel)
  (prompt "\nPour retouver l'aspect des textes, QTEXTMODE à 0")
  
)

---------------------------------------------------------------------- PowerClic sur http://www.g-eaux.com
0

Partager ce sujet :


Page 1 sur 1


Réponse rapide

  

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)